# PSF-LoginServer - master - net.psforever.services.RemoverActor.AddTask
PSF - LoginServer - master - net.psforever.services.RemoverActor.AddTask
Keywords: PSF LoginServer master net.psforever.services.RemoverActor.AddTask

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  object RemoverActor extends SupportActorCaseConversions
  Definition Classes
    services
- AddTask
- Entry
- FailureToWork

c

net.psforever.services.RemoverActor

# AddTask

###

#### case class AddTask(obj: PlanetSideGameObject, zone: Zone, duration: Option[FiniteDuration] = None) extends Product with Serializable

Message to submit an object to the removal process.

obj

  the target

zone

  the zone in which this target is registered

duration

  how much longer the target will exist in its current state (in nanoseconds); a default time duration is provided by implementation

Source
  RemoverActor.scala
See also

  `FirstStandardDuration`

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AddTask
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AddTask(obj: PlanetSideGameObject, zone: Zone, duration: Option[FiniteDuration] = None)

   obj

     the target

   zone

     the zone in which this target is registered

   duration

     how much longer the target will exist in its current state (in nanoseconds); a default time duration is provided by implementation

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val duration: Option[FiniteDuration]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val obj: PlanetSideGameObject
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
20.  val zone: Zone

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped